package com.ruoyi.custclient.mapper;

import com.ruoyi.custclient.domain.LabelType;

import java.util.List;

/**
 * 标签组Mapper接口
 * 
 * @author zhangyubo
 * @date 2024-10-16
 */
public interface LabelTypeMapper 
{
    /**
     * 查询标签组
     * 
     * @param id 标签组主键
     * @return 标签组
     */
    public LabelType selectLabelTypeById(Long id);

    /**
     * 查询标签组列表
     * 
     * @param labelType 标签组
     * @return 标签组集合
     */
    public List<LabelType> selectLabelTypeList(LabelType labelType);

    /**
     * 新增标签组
     * 
     * @param labelType 标签组
     * @return 结果
     */
    public int insertLabelType(LabelType labelType);

    /**
     * 修改标签组
     * 
     * @param labelType 标签组
     * @return 结果
     */
    public int updateLabelType(LabelType labelType);

    /**
     * 删除标签组
     * 
     * @param id 标签组主键
     * @return 结果
     */
    public int deleteLabelTypeById(Long id);

    /**
     * 批量删除标签组
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteLabelTypeByIds(Long[] ids);
}
